from gk_shape_elements import *
from gk_structure import *

#Multiple shapes to polygons

def str_shapes_boundaries(name, layer, shapes, line_width = 0.0):
    return gds_structure(name, el_shapes_boundaries(layer, shapes, line_width))

def str_shapes_paths(name, layer, shapes, line_width = 1.0, path_type = PATH_TYPE_NORMAL):
        return gds_structure(name, el_shapes_paths(layer, shapes, line_width, path_type))
        
def el_shapes_boundaries(layer, shapes, line_width = 0.0):
        ret_el = gds_elementlist()
        for s in shapes:
                ret_el.append(el_boundary(layer, s, line_width))
        return ret_el

def el_shapes_paths(layer, shapes, line_width = 0.0, path_type = PATH_TYPE_NORMAL):
        ret_el = gds_elementlist()
        for s in shapes:
                ret_el.append(el_path(layer, s, line_width, path_type))
        return ret_el
        